MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003513ATutor- no cat -public2008-07-25 01:342008-11-14 08:21
ReporterIndieRect 
Assigned Toharris 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.1 
Target VersionFixed in Version1.6.2 
Summary0003513: Typo breaks sorting
DescriptionIn assignments/index_instructor.php, line 37. Replace "date" with "date_due".
AFAIR it's been reported already.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003141)
greg (administrator)
2008-08-21 08:32

Has this been resolved? I can't reproduce. Sorting seems fine for assignments with line 37 as "date" or "date_due".
(0003147)
IndieRect (reporter)
2008-08-22 01:29

Not fixed.
When clicking the Date column header sorting just falls back to the default Title column.
(0003148)
greg (administrator)
2008-08-22 04:42

Works fine for me. Is there anything else you can describe to help us reproduce the problem.
(0003149)
IndieRect (reporter)
2008-08-25 23:17

Strange. Then let's wait for the next beta or RC and just see if it's working there.
(0003318)
harris (developer)
2008-11-13 07:52

Confirmed.
(0003319)
harris (developer)
2008-11-13 07:55

You need around 4 entries with 4 different dates to bring this bug out.
I used 2008 2009 2010 2011 with A, B, AA, C

When sorted by title, it shoes
A AA B C, C B AA A

When sorted by dates, it gives
A AA B C, C B AA A, where they should be
C AA B A, A B AA C

Fixed line 37 , replace 'date' with 'date_due'

8219

- Issue History
Date Modified Username Field Change
2008-07-25 01:34 IndieRect New Issue
2008-07-25 01:34 IndieRect Affects version => SVN
2008-08-21 08:32 greg Note Added: 0003141
2008-08-22 01:29 IndieRect Note Added: 0003147
2008-08-22 04:42 greg Note Added: 0003148
2008-08-25 23:17 IndieRect Note Added: 0003149
2008-11-13 07:52 harris Note Added: 0003318
2008-11-13 07:52 harris Status new => assigned
2008-11-13 07:52 harris Assigned To => harris
2008-11-13 07:55 harris Status assigned => resolved
2008-11-13 07:55 harris Fixed in Version => 1.6.2
2008-11-13 07:55 harris Resolution open => fixed
2008-11-13 07:55 harris Note Added: 0003319
2008-11-14 08:21 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker